Bug 505046 - Review Request: perl-Config-Auto - Magical config file parser
Review Request: perl-Config-Auto - Magical config file parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:46 EDT by Emmanuel Seyman
Modified: 2013-05-09 09:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.20-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-10 09:46:24 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Config-Auto/perl-Config-Auto.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Config-Auto/perl-Config-Auto-0.20-1.fc11.src.rpm
Description:
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. It searches the filesystem
for the program's configuration file, basing itself on the program's name
and returns a data structure based on the file's contents.
Comment 1 Parag AN(पराग) 2009-06-11 06:51:13 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1404840
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ef13c2a01755a1a52fa0669db5c381d4651427fe  Config-Auto-0.20.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=11, Tests=39,  1 wallclock secs ( 0.08 usr  0.03 sys +  0.73 cusr  0.11 csys =  0.95 CPU)
+ Package perl-Config-Auto-0.20-1.fc12.noarch =>
Provides: perl(Config::Auto) = 0.20
Requires: perl(Carp) perl(Config::IniFiles) perl(File::Basename) perl(File::Spec::Functions) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

Should:
1) Drop following Requires as yum will going to resolve it automatically.
Requires:       perl(Config::IniFiles)
Requires:       perl(Test::More)

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-11 17:38:54 EDT
(In reply to comment #1)
>
> Should:
> 1) Drop following Requires as yum will going to resolve it automatically.
> Requires:       perl(Config::IniFiles)
> Requires:       perl(Test::More)

Done. I've also parsed all my .spec files so that this doesn't happen again.
Again, thanks for the review.

New Package CVS Request
=======================
Package Name: perl-Config-Auto
Short Description: Magical config file parser
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-06-12 00:29:35 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-12 03:55:45 EDT
perl-Config-Auto-0.20-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-Auto-0.20-1.fc11
Comment 5 Fedora Update System 2009-06-15 21:59:04 EDT
perl-Config-Auto-0.20-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Auto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6259
Comment 6 Fedora Update System 2009-06-19 09:43:03 EDT
perl-Config-Auto-0.20-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Andrea Veri 2013-05-09 09:14:18 EDT
Package Change Request
======================
Package Name: perl-Config-Auto
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2013-05-09 09:39:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.